Page MenuHomePhabricator

Add Amis (ami) to Names.php
Closed, ResolvedPublic

Description

Event Timeline

Restricted Application added subscribers: jhsoby-WMNO, Aklapper. · View Herald TranscriptAug 5 2018, 3:51 PM

Other message files (MessagesXxx.php) missing (except variants):
ais, ase, awa, bi, brh, cps, cr, hil, hyw, ik, ki, kri, krj, loz, lus, na, niu, pag, pam, pap, pih, prg, rif, sco, sei, shi, shn, sm, sma, sn, so, ss, st, ti, tn, to, tru, ts, tw, tzm, zu

I don't know why.

Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptAug 5 2018, 8:23 PM

Other message files (MessagesXxx.php) missing (except variants):
ais, ase, awa, bi, brh, cps, cr, hil, hyw, ik, ki, kri, krj, loz, lus, na, niu, pag, pam, pap, pih, prg, rif, sco, sei, shi, shn, sm, sma, sn, so, ss, st, ti, tn, to, tru, ts, tw, tzm, zu

I don't know why.

@Raymond ?

Change 450534 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/core@master] Add language support for Nataroan Amis (ais)

https://gerrit.wikimedia.org/r/450534

Other message files (MessagesXxx.php) missing (except variants):
ais, ase, awa, bi, brh, cps, cr, hil, hyw, ik, ki, kri, krj, loz, lus, na, niu, pag, pam, pap, pih, prg, rif, sco, sei, shi, shn, sm, sma, sn, so, ss, st, ti, tn, to, tru, ts, tw, tzm, zu

I don't know why.

@Raymond ?

Probably because a MessagexXxx.php is only necessary if it has a real content? I know that nowadays a MessagesXxx.php with only a PHP comment is created. But in older times this was not the case.

Back to this task, there's an issue with naming. ISO uses Nataroan Amis, translatewiki.net uses Pangcah and Wikipedia uses Sakiyaza. I need help to determine which one to use. IMHO translatewiki.net is wrong here as Pangcah refers to the people https://en.wikipedia.org/wiki/Amis_people (redirects from Pangcah) not the language. Which one shall we use? Please advice.

MarcoAurelio triaged this task as Medium priority.Aug 6 2018, 9:05 PM
在T201269#4482332中,@MarcoAurelio写道:

Back to this task, there's an issue with naming. ISO uses Nataroan Amis, translatewiki.net uses Pangcah and Wikipedia uses Sakiyaza. I need help to determine which one to use. IMHO translatewiki.net is wrong here as Pangcah refers to the people https://en.wikipedia.org/wiki/Amis_people (redirects from Pangcah) not the language. Which one shall we use? Please advice.

This is not T174601.

@Liuxinyu970226 Right, I messed up with the bug number.

NOTE: Most of the previous discussion refers to T174601: Change the language codes of Sakizaya from "ais" (retired by SIL) to "szy" everywhere, and add it to Names.php. I messed with Task numbers. Let's focus on this task again.

Shall we use Amis or Pangcah?

I'd love to have a clarification here before going forward with this.

Thank you.

MarcoAurelio changed the task status from Open to Stalled.Aug 7 2018, 1:34 PM

Change 450534 abandoned by MarcoAurelio:
Add language support for Nataroan Amis/Sakizaya (ais)

Reason:
Per Task (stalled due to some code issues pending to be resolved)

https://gerrit.wikimedia.org/r/450534

MarcoAurelio lowered the priority of this task from Medium to Low.Aug 9 2018, 6:34 PM
MarcoAurelio removed MarcoAurelio as the assignee of this task.Feb 5 2019, 3:22 PM

Per my reasons at: T174601#4910282

Is this still blocked?

Change 589568 had a related patch set uploaded (by Amire80; owner: Amire80):
[mediawiki/core@master] Add Amis (ami) to Names.php

https://gerrit.wikimedia.org/r/589568

Shall we use Amis or Pangcah?

Ethnologue is often imprecise. Pangcah does appear there as one of the "alternate names". It is also used as the autonym in translatewiki, and no one complained about it, and it is also used on the main page of the Incubator.

But to be on the safe side, I emailed people who can clarify it.

... Here I've also found this article: https://escholarship.org/content/qt3h25w3h3/qt3h25w3h3.pdf#page=48 . It says in the second paragraph: "The speakers' name for themselves is Pangcah".

It also appears in a title of a dictionary cited in Glottolog: https://glottolog.org/resource/reference/id/574188

I think it's safe enough to go with "Pangcah", but let's wait a few days to see if anyone replies to my emails. If no one replies in a week, lets just merge with Pangcah. We can always fix it if needed.

Change 589568 merged by jenkins-bot:
[mediawiki/core@master] Add Amis (ami) to Names.php

https://gerrit.wikimedia.org/r/589568

Change 592625 had a related patch set uploaded (by Amire80; owner: Amire80):
[translatewiki@master] Remove Amis from LanguageSettings and FallbackSettings

https://gerrit.wikimedia.org/r/592625

Change 593184 had a related patch set uploaded (by Amire80; owner: Amire80):
[mediawiki/core@master] Mention added ami in RELEASE-NOTES

https://gerrit.wikimedia.org/r/593184

Change 593184 merged by jenkins-bot:
[mediawiki/core@master] Mention added ami and changed ary in RELEASE-NOTES

https://gerrit.wikimedia.org/r/593184

Change 595465 had a related patch set uploaded (by Amire80; owner: Amire80):
[mediawiki/core@master] Add Traditional Chinese zh-hant as fallback for Amis (ami)

https://gerrit.wikimedia.org/r/595465

Change 592625 merged by jenkins-bot:
[translatewiki@master] Remove Amis from LanguageSettings and FallbackSettings

https://gerrit.wikimedia.org/r/c/translatewiki/ /592625

Aklapper changed the task status from Stalled to Open.Aug 16 2020, 2:06 PM

Amire80: Is there more work to do in this task? Asking as you wrote most of the patches here.
Also resetting task status as I don't see anything that this task is stalled on.

https://gerrit.wikimedia.org/r/c/mediawiki/core/+/595465 has to be merged, and then this task can be closed. It's pretty simple :)

Change 595465 merged by jenkins-bot:
[mediawiki/core@master] Add Traditional Chinese zh-hant as fallback for Amis (ami)

https://gerrit.wikimedia.org/r/595465

Amire80 closed this task as Resolved.Aug 16 2020, 4:58 PM
Amire80 claimed this task.

Change 621726 had a related patch set uploaded (by Reedy; owner: Amire80):
[mediawiki/core@REL1_35] Add Traditional Chinese zh-hant as fallback for Amis (ami)

https://gerrit.wikimedia.org/r/621726

Change 621726 merged by jenkins-bot:
[mediawiki/core@REL1_35] Add Traditional Chinese zh-hant as fallback for Amis (ami)

https://gerrit.wikimedia.org/r/621726